Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
[Java] Class Zip

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask
                  org.gradle.api.tasks.bundling.Zip

    public class Zip
    extends AbstractArchiveTask

Assembles a ZIP archive.

Authors:
  Hans Dockter

Field Summary
`static String` | `ZIP_EXTENSION`

Constructor Summary
`Zip()`

Method Summary
`protected CopyActionImpl` | `getCopyAction()`

Methods inherited from class AbstractArchiveTask
getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, into, into, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filter, filter, filter, from, from, getCopyAction, getDefaultSource, getDirMode, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Field Detail

### ZIP_EXTENSION

    public static final String ZIP_EXTENSION

Constructor Detail

### Zip

    public Zip()

Method Detail

### getCopyAction

    protected CopyActionImpl getCopyAction()

Gradle API 1.1-rc-1